complexType "IndexReferenceInformation"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-cd-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 10 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | ((indexName, indexId*) | indexId+)?, indexSeries?, indexAnnexVersion?, indexAnnexDate?, indexAnnexSource?, excludedReferenceEntity*, tranche?, settledEntityMatrix?
</...>

Content Model Elements (10):

  excludedReferenceEntity, indexAnnexDate, indexAnnexSource, indexAnnexVersion, indexId (in indexReferenceInformation), | indexId (in indexReferenceInformation), indexName, indexSeries, settledEntityMatrix, tranche (in indexReferenceInformation)

All Direct / Indirect Based Elements (1):

  indexReferenceInformation

Known Usage Locations

- As direct type of elements (1):
  indexReferenceInformation

Annotation
A type defining a Credit Default Swap Index.
XML Source (w/o annotations (11); see within schema source)

<xsd:complexType name="IndexReferenceInformation"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element name="indexName" type="IndexName"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="indexId" type="IndexId"/> </xsd:sequence> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="indexId" type="IndexId"/> </xsd:sequence> </xsd:choice> <xsd:element minOccurs="0" name="indexSeries" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="indexAnnexVersion" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="indexAnnexDate" type="xsd:date"/> <xsd:element minOccurs="0" name="indexAnnexSource" type="IndexAnnexSource"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="excludedReferenceEntity" type="LegalEntity"/> <xsd:element minOccurs="0" name="tranche" type="Tranche"/> <xsd:element minOccurs="0" name="settledEntityMatrix" type="SettledEntityMatrix"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 10/10)
excludedReferenceEntity

  Type: | LegalEntity, complex content

  Excluded reference entity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="excludedReferenceEntity" type="LegalEntity"/>

indexAnnexDate

  Type: | xsd:date, predefined, simple content

  A CDS index series annex date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="indexAnnexDate" type="xsd:date"/>

indexAnnexSource

  Type: | IndexAnnexSource, simple content

  A CDS index series annex source.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="indexAnnexSource" type="IndexAnnexSource"/>

indexAnnexVersion

  Type: | xsd:positiveInteger, predefined, simple content

  A CDS index series version identifier, e.g. 1, 2, 3 etc.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="indexAnnexVersion" type="xsd:positiveInteger"/>

indexId

  Type: | IndexId, simple content

  A CDS index identifier (e.g. RED pair code).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="indexId" type="IndexId"/>

indexId

  Type: | IndexId, simple content

  A CDS index identifier (e.g. RED pair code).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="indexId" type="IndexId"/>

indexName

  Type: | IndexName, simple content

  The name of the index expressed as a free format string. FpML does not define usage rules for this element.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="indexName" type="IndexName"/>

indexSeries

  Type: | xsd:positiveInteger, predefined, simple content

  A CDS index series identifier, e.g. 1, 2, 3 etc.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="indexSeries" type="xsd:positiveInteger"/>

settledEntityMatrix

  Type: | SettledEntityMatrix, complex content

  Used to specify the Relevant Settled Entity Matrix when there are settled entities at the time of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settledEntityMatrix" type="SettledEntityMatrix"/>

tranche

  Type: | Tranche, complex content

  This element contains CDS tranche terms.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tranche" type="Tranche"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.